Name: cups
Version: 2.3.1
Release: 1
License: Apache-2.0
Summary: Common Unix Printing System
Url: http://www.cups.org

Source0: https://github.com/apple/cups/releases/download/v%{version}/cups-%{version}-source.tar.gz
Source1: cups-makeshrobj.sh

Patch0: cups-ifaddrs.patch
Patch1: cups-no-sys-fcntl.h
Patch2: cups-o_nofollow.patch

BuildRequires: zlib-devel
BuildRequires: libiconv-devel

# This can go away if we patch cups-sharedlibs.m4 or use libtool
BuildRequires: pase-build-tools

%description
%summary

%package devel
Summary: cups development files
Requires: libcups2 = %{version}-%{release}

%description devel
cups development files

%package -n libcups2
Summary: libcups2 library

%description -n libcups2
libcups2 library

%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1

%build

%configure \
  CPPFLAGS='-I%{_includedir}/libiconv' \
  LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  --with-components=libcups \
  --localedir=%{_datadir}/locale \
  # end

# TODO: Patch config-scripts/cups-sharedlibs.m4 to build svr4-style libraries
# CUPS has its own built-in methods for building shared objects on a variety
# but it doesn't know how to build svr4-style AIX libraries
#
# Right now we have a custom script to build the shared objets that we pass
# to make_build so it gets used instead of gcc
#
# Alternatively, we could use the unsupported libtool configure option
%make_build DSO=%{SOURCE1} DSOXX=%{SOURCE1}

%install
%make_install
# TODO add these .po gettext files to cups package when we get to that point
rm -r %{buildroot}/%{_datadir}/locale/

%files -n libcups2
%defattr(-, qsys, *none)
%{_libdir}/libcups.so.2

%files devel
%defattr(-, qsys, *none)
%license LICENSE
%{_bindir}/cups-config
%{_includedir}/cups
%{_libdir}/libcups.so

%changelog
* Tue Dec 15 2020 <abdirahim.musse@ibm.com> - 2.3.1
- Minimal initial spec that only builds libcups required by Java 11
